Submit a signed authorization
curl --request POST \
--url https://api.reclack.com/v1/pay/{id}/authorize \
--header 'Content-Type: application/json' \
--data '
{
"signature": "0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c",
"nonce": "0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9",
"valid_after": 123,
"valid_before": 123
}
'import requests
url = "https://api.reclack.com/v1/pay/{id}/authorize"
payload = {
"signature": "0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c",
"nonce": "0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9",
"valid_after": 123,
"valid_before": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
signature: '0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c',
nonce: '0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9',
valid_after: 123,
valid_before: 123
})
};
fetch('https://api.reclack.com/v1/pay/{id}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reclack.com/v1/pay/{id}/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signature' => '0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c',
'nonce' => '0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9',
'valid_after' => 123,
'valid_before' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reclack.com/v1/pay/{id}/authorize"
payload := strings.NewReader("{\n \"signature\": \"0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c\",\n \"nonce\": \"0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9\",\n \"valid_after\": 123,\n \"valid_before\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reclack.com/v1/pay/{id}/authorize")
.header("Content-Type", "application/json")
.body("{\n \"signature\": \"0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c\",\n \"nonce\": \"0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9\",\n \"valid_after\": 123,\n \"valid_before\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reclack.com/v1/pay/{id}/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"signature\": \"0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c\",\n \"nonce\": \"0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9\",\n \"valid_after\": 123,\n \"valid_before\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "txn_2e2df306",
"status": "pending",
"amount": "29.00",
"currency": "USDC",
"network": "base",
"chain_id": 8453,
"hash": "0x2e2d9a41c7f1b86d05e4a3c2b7f9d1083e6a5c4b2d8f7091a3c5e7b9d1f3a5306",
"confirmations": 7,
"receipt_url": "https://pay.reclack.com/pay/txn_2e2df306"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}Checkouts
Submit Signed Authorization
Hand Reclack a signed authorization to submit.
POST
/
v1
/
pay
/
{id}
/
authorize
Submit a signed authorization
curl --request POST \
--url https://api.reclack.com/v1/pay/{id}/authorize \
--header 'Content-Type: application/json' \
--data '
{
"signature": "0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c",
"nonce": "0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9",
"valid_after": 123,
"valid_before": 123
}
'import requests
url = "https://api.reclack.com/v1/pay/{id}/authorize"
payload = {
"signature": "0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c",
"nonce": "0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9",
"valid_after": 123,
"valid_before": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
signature: '0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c',
nonce: '0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9',
valid_after: 123,
valid_before: 123
})
};
fetch('https://api.reclack.com/v1/pay/{id}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reclack.com/v1/pay/{id}/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signature' => '0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c',
'nonce' => '0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9',
'valid_after' => 123,
'valid_before' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reclack.com/v1/pay/{id}/authorize"
payload := strings.NewReader("{\n \"signature\": \"0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c\",\n \"nonce\": \"0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9\",\n \"valid_after\": 123,\n \"valid_before\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reclack.com/v1/pay/{id}/authorize")
.header("Content-Type", "application/json")
.body("{\n \"signature\": \"0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c\",\n \"nonce\": \"0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9\",\n \"valid_after\": 123,\n \"valid_before\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reclack.com/v1/pay/{id}/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"signature\": \"0x8f3c1a2b9d7e04561f2a3b4c5d6e7f8091a2b3c4d5e6f70819a2b3c4d5e6f7081c\",\n \"nonce\": \"0x4a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9\",\n \"valid_after\": 123,\n \"valid_before\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "txn_2e2df306",
"status": "pending",
"amount": "29.00",
"currency": "USDC",
"network": "base",
"chain_id": 8453,
"hash": "0x2e2d9a41c7f1b86d05e4a3c2b7f9d1083e6a5c4b2d8f7091a3c5e7b9d1f3a5306",
"confirmations": 7,
"receipt_url": "https://pay.reclack.com/pay/txn_2e2df306"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}Overview
Hand Reclack a signed one-off authorization to submit, so the payer needs no native token to settle. Reclack pays the network fee and submits the transaction.Path Parameters
The payment id.
Body
application/json
Response
Success
Show child attributes
Show child attributes

